import { PureComponent } from 'react';
import { IUploadFileItem, IAbstractUploadListProps, IUploadItemProps } from '../types';
declare abstract class AbstractUploadList<UPLOAD_ITEM extends IUploadFileItem, UPLOAD_ITEM_COMP_PROPS extends IUploadItemProps<UPLOAD_ITEM>, P extends IAbstractUploadListProps<UPLOAD_ITEM, UPLOAD_ITEM_COMP_PROPS>, S = {}> extends PureComponent<P, S> {
    abstract renderFileItem(item: UPLOAD_ITEM, index: number): React.ReactNode;
    abstract getRenderFileList(): Array<UPLOAD_ITEM>;
    abstract onFileListSortChange(list: Array<UPLOAD_ITEM>): void;
}
export default AbstractUploadList;
